<bugID>1110123<Summary>e10s: multiprocessShims.js doesn't interpose nsIAboutModule's registered via chrome.manifest</Summary><Description>User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.10; rv:34.0) Gecko/20100101 Firefox/34.0
Build ID: 20141126041045

Steps to reproduce:

In Firefox extension:
When e10s is enabled in Nightly I try to embed .xul page in extension html page by IFRAME.

Example:

&lt;iframe src="chrome://addon/page.xul" type="chrome"&gt;&lt;/iframe&gt;


Actual results:

I am getting blank frame. I also tried to register XUL urls as "about:addonpage" url, but getting "URL is incorrect error", but this url works fine when entered in urlbar directly.


Expected results:

Iframe should be loaded?
With e10s disabled iframe loads properly. There is any way to embed XUL into HTML by IFRAME when e10 is activated?</Description></bugID>